Changed identation in init script.

This commit is contained in:
Florian Pose 2006-09-19 13:09:39 +00:00
parent cbe03b4d82
commit 66cacc2158
1 changed files with 141 additions and 141 deletions

View File

@ -52,12 +52,12 @@
ETHERCAT_CONFIG=/etc/sysconfig/ethercat
if [ ! -r $ETHERCAT_CONFIG ]; then
echo "$ETHERCAT_CONFIG not existing";
if [ "$1" = "stop" ]; then
exit 0
else
exit 6
fi
echo "$ETHERCAT_CONFIG not existing";
if [ "$1" = "stop" ]; then
exit 0
else
exit 6
fi
fi
. $ETHERCAT_CONFIG
@ -69,72 +69,72 @@ fi
#
build_eoe_bridge()
{
if [ -z "$EOE_BRIDGE" ]; then return; fi
if [ -z "$EOE_BRIDGE" ]; then return; fi
EOEIF=`/sbin/ifconfig -a | grep -o -E "^eoe[0-9]+ "`
EOEIF=`/sbin/ifconfig -a | grep -o -E "^eoe[0-9]+ "`
# add bridge, if it does not already exist
if ! /sbin/brctl show | grep -E -q "^$EOE_BRIDGE"; then
if ! /sbin/brctl addbr $EOE_BRIDGE; then
/bin/false
rc_status -v
rc_exit
fi
# add bridge, if it does not already exist
if ! /sbin/brctl show | grep -E -q "^$EOE_BRIDGE"; then
if ! /sbin/brctl addbr $EOE_BRIDGE; then
/bin/false
rc_status -v
rc_exit
fi
fi
# check if specified interfaces are bridged
for interf in $EOEIF $EOE_EXTRA_INTERFACES; do
# interface is already part of the bridge
if /sbin/brctl show $EOE_BRIDGE | grep -E -q $interf
then continue
fi
# clear IP address and open interface
if ! /sbin/ifconfig $interf 0.0.0.0 up; then
/bin/false
rc_status -v
rc_exit
fi
# add interface to the bridge
if ! /sbin/brctl addif $EOE_BRIDGE $interf; then
/bin/false
rc_status -v
rc_exit
fi
done
# configure IP on bridge
if [ -n "$EOE_IP_ADDRESS" -a -n "$EOE_IP_NETMASK" ]; then
if ! /sbin/ifconfig $EOE_BRIDGE $EOE_IP_ADDRESS \
netmask $EOE_IP_NETMASK; then
/bin/false
rc_status -v
rc_exit
fi
for interf in $EOEIF $EOE_EXTRA_INTERFACES; do
# interface is already part of the bridge
if /sbin/brctl show $EOE_BRIDGE | grep -E -q $interf
then continue
fi
# clear IP address and open interface
if ! /sbin/ifconfig $interf 0.0.0.0 up; then
/bin/false
rc_status -v
rc_exit
fi
# add interface to the bridge
if ! /sbin/brctl addif $EOE_BRIDGE $interf; then
/bin/false
rc_status -v
rc_exit
fi
done
# open bridge
if ! /sbin/ifconfig $EOE_BRIDGE up; then
# configure IP on bridge
if [ -n "$EOE_IP_ADDRESS" -a -n "$EOE_IP_NETMASK" ]; then
if ! /sbin/ifconfig $EOE_BRIDGE $EOE_IP_ADDRESS \
netmask $EOE_IP_NETMASK; then
/bin/false
rc_status -v
rc_exit
fi
fi
# open bridge
if ! /sbin/ifconfig $EOE_BRIDGE up; then
/bin/false
rc_status -v
rc_exit
fi
# install new default gateway
if [ -n "$EOE_GATEWAY" ]; then
while /sbin/route -n | grep -E -q "^0.0.0.0"; do
if ! /sbin/route del default; then
echo "Failed to remove route!" 1>&2
/bin/false
rc_status -v
rc_exit
fi
done
if ! /sbin/route add default gw $EOE_GATEWAY; then
/bin/false
rc_status -v
rc_exit
fi
# install new default gateway
if [ -n "$EOE_GATEWAY" ]; then
while /sbin/route -n | grep -E -q "^0.0.0.0"; do
if ! /sbin/route del default; then
echo "Failed to remove route!" 1>&2
/bin/false
rc_status -v
rc_exit
fi
done
if ! /sbin/route add default gw $EOE_GATEWAY; then
/bin/false
rc_status -v
rc_exit
fi
fi
fi
}
#------------------------------------------------------------------------------
@ -145,111 +145,111 @@ rc_reset
case "$1" in
start)
echo -n "Starting EtherCAT master "
echo -n "Starting EtherCAT master "
if [ -z "$DEVICE_INDEX" ]; then
echo "ERROR: DEVICE_INDEX not set!"
/bin/false
rc_status -v
rc_exit
if [ -z "$DEVICE_INDEX" ]; then
echo "ERROR: DEVICE_INDEX not set!"
/bin/false
rc_status -v
rc_exit
fi
if [ -z "$EOE_INTERFACES" ]; then
if [ -n "$EOE_DEVICES" ]; then # support legacy sysconfig files
EOE_INTERFACES=$EOE_DEVICES
else
EOE_INTERFACES=0
fi
fi
# unload conflicting modules at first
for mod in 8139too; do
if lsmod | grep "^$mod " > /dev/null; then
if ! rmmod $mod; then
/bin/false
rc_status -v
rc_exit
fi
fi
done
if [ -z "$EOE_INTERFACES" ]; then
if [ -n "$EOE_DEVICES" ]; then # support legacy sysconfig files
EOE_INTERFACES=$EOE_DEVICES
else
EOE_INTERFACES=0
fi
fi
# unload conflicting modules at first
for mod in 8139too; do
if lsmod | grep "^$mod " > /dev/null; then
if ! rmmod $mod; then
/bin/false
rc_status -v
rc_exit
fi
fi
done
# load master module
if ! modprobe ec_master ec_eoeif_count=$EOE_INTERFACES; then
modprobe 8139too
/bin/false
rc_status -v
rc_exit
fi
# load master module
if ! modprobe ec_master ec_eoeif_count=$EOE_INTERFACES; then
modprobe 8139too
/bin/false
rc_status -v
rc_exit
fi
# load device module
if ! modprobe ec_8139too ec_device_index=$DEVICE_INDEX; then
rmmod ec_master
modprobe 8139too
/bin/false
rc_status -v
rc_exit
fi
if ! modprobe ec_8139too ec_device_index=$DEVICE_INDEX; then
rmmod ec_master
modprobe 8139too
/bin/false
rc_status -v
rc_exit
fi
# build EoE bridge
build_eoe_bridge
build_eoe_bridge
rc_status -v
;;
rc_status -v
;;
stop)
echo -n "Shutting down EtherCAT master "
echo -n "Shutting down EtherCAT master "
# unload modules
for mod in ec_8139too ec_master; do
if lsmod | grep "^$mod " > /dev/null; then
if ! rmmod $mod; then
/bin/false
rc_status -v
rc_exit
fi;
fi;
done
# unload modules
for mod in ec_8139too ec_master; do
if lsmod | grep "^$mod " > /dev/null; then
if ! rmmod $mod; then
/bin/false
rc_status -v
rc_exit
fi;
fi;
done
sleep 1
sleep 1
# reload previous modules
if ! modprobe 8139too; then
echo "Warning: Failed to restore 8139too module."
fi
# reload previous modules
if ! modprobe 8139too; then
echo "Warning: Failed to restore 8139too module."
fi
rc_status -v
;;
rc_status -v
;;
restart)
$0 stop || exit 1
sleep 1
$0 start
rc_status
;;
$0 stop || exit 1
sleep 1
$0 start
rc_status
;;
status)
echo -n "Checking for EtherCAT "
echo -n "Checking for EtherCAT "
lsmod | grep "^ec_master " > /dev/null
master_running=$?
lsmod | grep "^ec_8139too " > /dev/null
device_running=$?
lsmod | grep "^ec_master " > /dev/null
master_running=$?
lsmod | grep "^ec_8139too " > /dev/null
device_running=$?
# master module and device module loaded?
test $master_running -eq 0 -a $device_running -eq 0
# master module and device module loaded?
test $master_running -eq 0 -a $device_running -eq 0
rc_status -v
;;
rc_status -v
;;
bridge)
echo -n "Building EoE bridge "
build_eoe_bridge
rc_status -v
;;
echo -n "Building EoE bridge "
build_eoe_bridge
rc_status -v
;;
*)
echo "USAGE: $0 {start|stop|restart|status|bridge}"
;;
echo "USAGE: $0 {start|stop|restart|status|bridge}"
;;
esac